package jalview.io;

import jalview.datamodel.AlignmentI;

import java.io.IOException;

import org.testng.Assert;
import org.testng.annotations.Test;

public class PfamFormatInputTest
{
  @Test
  public void testPfamFormatNoLimits() throws IOException
  {
    AlignmentI al = new jalview.io.AppletFormatAdapter().readFile("ASEQ"
            + '\t' + "...--FFAFAFF--", DataSourceType.PASTE,
            FileFormat.Pfam);
    Assert.assertEquals(1, al.getHeight(), "Wrong number of sequences");
    Assert.assertTrue(al.hasValidSequence(),
            "Didn't extract limits from PFAM ID");
  }

  @Test
  public void testPfamFormatValidLimits() throws IOException
  {
    AlignmentI al = new jalview.io.AppletFormatAdapter().readFile(
            "ASEQ/15-25" + '\t' + "...--FFAFAFF--",
 DataSourceType.PASTE,
            FileFormat.Pfam);
    Assert.assertEquals(1, al.getHeight(), "Wrong number of sequences");
    Assert.assertTrue(al.hasValidSequence(),
            "Didn't extract limits from PFAM ID");
  }
}
